# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetSchemasReq

Packages that use TGetSchemasReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetSchemasReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetSchemasReq
Modifier and Type
Class
Description
`class`
`TGetSchemasReq`
`class`
`TGetSchemasReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetSchemasReq
Modifier and Type
Field
Description
`TGetSchemasReq`
TCLIService.GetSchemas_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetSchemasReq
Modifier and Type
Method
Description
`TGetSchemasReq`
TGetSchemasReq.`deepCopy()`
`TGetSchemasReq`
TCLIService.GetSchemas_args.`getReq()`
`TGetSchemasReq`
TGetSchemasReq.`setCatalogName(String catalogName)`
`TGetSchemasReq`
TGetSchemasReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetSchemasReq`
TGetSchemasReq.`setRunAsync(boolean runAsync)`
`TGetSchemasReq`
TGetSchemasReq.`setSchemaName(String schemaName)`
`TGetSchemasReq`
TGetSchemasReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetSchemasReq
Modifier and Type
Method
Description
`int`
TGetSchemasReq.`compareTo(TGetSchemasReq other)`
`boolean`
TGetSchemasReq.`equals(TGetSchemasReq that)`
`void`
TCLIService.AsyncClient.`GetSchemas(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetSchemas(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)`
`TGetSchemasResp`
TCLIService.Client.`GetSchemas(TGetSchemasReq req)`
`TGetSchemasResp`
TCLIService.Iface.`GetSchemas(TGetSchemasReq req)`
`void`
TCLIService.Client.`send_GetSchemas(TGetSchemasReq req)`
`TCLIService.GetSchemas_args`
TCLIService.GetSchemas_args.`setReq(TGetSchemasReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetSchemasReq
Modifier
Constructor
Description
``
`GetSchemas_args(TGetSchemasReq req)`
``
`GetSchemas_call(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetSchemasReq(TGetSchemasReq other)`
Performs a deep copy on other.